public inbox for git-commits@fedoraproject.org
help / color / mirror / Atom feed
From: Jan Friesse <jfriesse@redhat.com>
To: git-commits@fedoraproject.org
Subject: [rpms/corosync] rawhide: Fix smoke test
Date: Fri, 04 Sep 2026 10:52:21 GMT	[thread overview]
Message-ID: <178851914135.1.17207071253953869718.rpms-corosync-e7e8d089ccf0@fedoraproject.org> (raw)

            A new commit has been pushed.

            Repo   : rpms/corosync
            Branch : rawhide
            Commit : e7e8d089ccf004d4dc63e99bc4d8c95a9ac5c517
            Author : Jan Friesse <jfriesse@redhat.com>
            Date   : 2026-09-04T12:51:07+02:00
            Stats  : +24/-4 in 1 file(s)
            URL    : https://src.fedoraproject.org/rpms/corosync/c/e7e8d089ccf004d4dc63e99bc4d8c95a9ac5c517?branch=rawhide

            Log:
            Fix smoke test

Corosync now enforces encryption so fix test to cope with this change.

Signed-off-by: Jan Friesse <jfriesse@redhat.com>

---
diff --git a/tests/smoke/runtest.sh b/tests/smoke/runtest.sh
index a1ca177..ba79621 100755
--- a/tests/smoke/runtest.sh
+++ b/tests/smoke/runtest.sh
@@ -1,6 +1,6 @@
 #!/bin/bash
 
-# This file was autogenerated at 2026-08-05T09:47:04+02:00 from 9c61d98aafda92e884ffb4f7100908760a36ad9e
+# This file was autogenerated at 2026-09-04T12:48:50+02:00 from 4a8906be01ce1558e78c6ffb775871a96a09ebaa
 
 # Copyright (c) 2019, Red Hat, Inc.
 #
@@ -36,6 +36,7 @@ COROSYNC_SYSCONFD="${PREFIX}etc/corosync"
 COROSYNC_CONF="${COROSYNC_SYSCONFD}/corosync.conf"
 COROSYNC_AUTHKEY="${COROSYNC_SYSCONFD}/authkey"
 COROSYNC_CLUSTER_NAME="smoketestcluster"
+COROSYNC_ENFORCE_ENCRYPTION=true
 
 TOKEN_TIMEOUT=1000
 MAX_REPEATS=60
@@ -540,7 +541,7 @@ test_corosync_cmapctl() {
 test_corosync_reload() {
     cmapctl_res_file=`mktemp`
 
-    test_corosync_start "off"
+    test_corosync_start "on"
 
     # Get current token timeout
     corosync-cmapctl -g "runtime.config.totem.token" | tee "$cmapctl_res_file"
@@ -551,7 +552,7 @@ test_corosync_reload() {
 
     # Generate new corosync.conf with token_timeout*10
     new_token_timeout=$((TOKEN_TIMEOUT*10))
-    generate_corosync_conf "off" "$new_token_timeout" > "$COROSYNC_CONF"
+    generate_corosync_conf "on" "$new_token_timeout" > "$COROSYNC_CONF"
     cat "$COROSYNC_CONF"
 
     # Main call of the test
@@ -599,6 +600,17 @@ test_corosync_man_pages() {
     done
 }
 
+test_corosync_enforce_encryption() {
+    generate_corosync_conf "off" > "$COROSYNC_CONF"
+    cat "$COROSYNC_CONF"
+
+    systemctl is-active "corosync" && exit 1 || true
+
+    systemctl start "corosync" && exit 1 || true
+
+    systemctl is-active "corosync" && exit 1 || true
+}
+
 ########
 # main #
 ########
@@ -611,7 +623,15 @@ test_corosync_v
 test_corosync_keygen
 test_corosync_man_pages
 
-for crypto in "off" "on";do
+if $COROSYNC_ENFORCE_ENCRYPTION;then
+    crypto_list="on"
+
+    test_corosync_enforce_encryption
+else
+    crypto_list="off on"
+fi
+
+for crypto in $crypto_list;do
     test_corosync_start "$crypto"
     test_corosync_quorumtool
     test_corosync_cmapctl

             reply	other threads:[~2026-09-04 10:52 UTC|newest]

Thread overview: 2+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2026-09-04 10:52 Jan Friesse [this message]
  -- strict thread matches above, loose matches on Subject: below --
2026-08-05  7:49 [rpms/corosync] rawhide: Fix smoke test Jan Friesse

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=178851914135.1.17207071253953869718.rpms-corosync-e7e8d089ccf0@fedoraproject.org \
    --to=jfriesse@redhat.com \
    --cc=git-commits@fedoraproject.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox